////////////////////////////////////////////////
// Aufgabe 1 Kapitel Interaktion
////////////////////////////////////////////////

// aktuelle und alte Position der Malobjekte (Linie)
int xOld, yOld, x, y;
int radius;

void setup() {
  size(600, 600);
  radius = 40;
  resetDrawing();
}

void draw() {
}

// Löscht die Zeichenfläche und setzt den Stift ins Zentrum
void resetDrawing() {
  x = width/2;
  y = width/2;
  strokeWeight(1);
  stroke(0);
  background(255);
}

// Malfarbe neu setzen
void setColor(color c) { 
  stroke(c);
}

// Maldicke neu setzen
void setWeight(int w) {
  strokeWeight(w);
}

// Strich in vorgegebene Richtung malen
void bewegeKreis(int dx, int dy) {
  xOld = x; 
  yOld = y; 
  x += dx; 
  y += dy;
  ellipse(x, y, radius, radius);
}

///////////////////////////////////////////////

void keyPressed() {
  if (key == CODED) {
    switch (keyCode) {
    case UP :     
      bewegeKreis(0, -3);
      break;
    case DOWN :   
      bewegeKreis(0, 3);
      break;
    case RIGHT :  
      bewegeKreis(3, 0);
      break;
    case LEFT :   
      bewegeKreis(-3, 0);
      break;
    }
  } else {
    switch (key) {
    case 'r':     
      setColor(color(255, 0, 0));
      break;
    case 's':     
      setColor(color(0, 0, 0));
      break;
    case 'b':     
      setColor(color(0, 0, 255));
      break;
    case '1' :    
      setWeight(1);
      break;
    case '2' :    
      setWeight(2);
      break;
    case 'z':     
      resetDrawing();
      break;
    case 'g' :
      if(radius <=100)
      radius += 5;
      break;
    case 'k' :
      if(radius >= 5)
      radius -=5;
      break;
    }
  }
}